## between 6%2Bdfsg1

=== debian/changelog ===
between (6+dfsg1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:34:38 +0100

between (6+dfsg1-3) unstable; urgency=low

  * Bump the debhelper compat to 9 and enable extra hardening
  * wrap-and-sort -sa to make diffs more readable
  * Bump Standards-Version, no changes needed
  * Fix the VCS URLs to work and be canonical

 -- Paul Wise <pabs@debian.org>  Fri, 10 May 2013 21:02:05 +0800

between (6+dfsg1-2) unstable; urgency=low

  * Document GPL code in the copyright file (Closes: #614052)

 -- Paul Wise <pabs@debian.org>  Mon, 21 Feb 2011 11:30:11 +0800

between (6+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #524846)

 -- Paul Wise <pabs@debian.org>  Mon, 20 Dec 2010 18:50:15 +0800
