=== debian/changelog ===
between (6+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Refresh packaging:
    + Use Priority: optional.
    + Bump Standards-Version to 4.6.1.
  * debian/control:
    + Use up-to-date homepage. (Closes: #943589)
    + debian/control: Fix Vcs-* fields.
    + No longer use transitional dummy packages.
    + Bump debhelper compat to v13.
  * debian/between.menu: Dropped per tech-ctte decision.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #911249)
    + Let dh_auto_build pass cross tools to make.
    + Pass the C++ compiler as GXX.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Nov 2022 13:38:57 -0500
