=== debian/control ===
Source: between
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libgl-dev,
 libglu1-mesa-dev,
 libsdl1.2-dev
Standards-Version: 4.6.1
Homepage: https://www.esquire.com/news-politics/a5329/rohrer-game/
Vcs-Git: https://salsa.debian.org/games-team/between.git
Vcs-Browser: https://salsa.debian.org/games-team/between

Package: between
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: game about consciousness and isolation
 Between is a pixelated art game for two players by Jason Rohrer.
 .
 You know exactly what you need to do -- you can see it shimmering
 right there in front of you. You can see it while dreaming, too, and
 the difference has become subtle. Dreams wake into dreams, and people
 blend in and out: real characters and dream characters, all woven into
 the same script. Finally, they fade completely, and you're alone in the
 expanse with the construction. With time, you feel something growing,
 a pinhole that eventually yawns into a deep ravine of longing. The
 construction languishes, though the expanse seems indifferent.
 .
 One night, in a dream, they appear: things that you clearly could not
 have conjured on your own. Not snowflakes. Not the self-similar forms
 of leaves. Not distant planets' erosion networks as viewed through
 telescopes. Not those things that are beautifully external but lack
 the signatures of consciousness. These things that appear are ugly and
 non-procedural: indecipherable transmissions bubbling up through static,
 faded messages floating in bottles, and charcoal handprints on cave
 walls. Evidence has reached you through time of unknown duration and
 distance of unknown magnitude, but stale evidence is still evidence.
 .
 Somewhere, across whatever barriers stand between, is an "other".
