=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	chmod u+x game7/configure
	cd game7 && platformSelection=1 ./configure

override_dh_auto_build:
	convert -type Grayscale -negate ./game7/build/macOSX/iconMask.png mask.png
	composite -compose CopyOpacity mask.png ./game7/build/macOSX/iconColor.png between.png
	mkdir -p 32x32
	convert -scale 32x32 between.png 32x32/between.png
	convert 32x32/between.png 32x32/between.xpm
	sed -i -e 's/-lX11//' game7/gameSource/Makefile
	sed -i -e 's/^DEBUG_FLAG = .*/DEBUG_FLAG = /' game7/gameSource/Makefile
	sed -i -e 's/^OPTIMIZE_FLAG = .*/OPTIMIZE_FLAG = /' game7/gameSource/Makefile
	sed -i -e 's/^COMPILE_FLAGS = /COMPILE_FLAGS = $$(CFLAGS) $$(CPPFLAGS) /' game7/gameSource/Makefile
	sed -i -e 's/^LINK_FLAGS = /LINK_FLAGS = $$(LDFLAGS) /' game7/gameSource/Makefile
	dh_auto_build --sourcedirectory=game7/gameSource -- 'GXX=$$(CXX)' LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/between\\\" -DDATADIR=\\\"/usr/share/games/between/\\\""

override_dh_auto_clean:
	[ ! -f game7/gameSource/Makefile ] || $(MAKE) -C game7/gameSource clean
	rm -f game7/gameSource/Makefile
	rm -f game7/gameSource/Makefile.minorGems_dependencies
	rm -rf 32x32 between.png mask.png

override_dh_installchangelogs:
	dh_installchangelogs game7/documentation/changeLog.txt

V=6
P=Between
p=between
sfp=hcsoftware/Between

get-orig-source:
	wget -c http://downloads.sourceforge.net/project/$(sfp)/v$(V)/$(P)_v$(V)_UnixSource.tar.gz
	tar zxf $(P)_v$(V)_UnixSource.tar.gz
	# Embedded code copies, unused
	rm $(P)_v$(V)_UnixSource/minorGems/network/linux/gnut_*
	# VCS file
	rm $(P)_v$(V)_UnixSource/minorGems/.hgtags
	# Pre-built Windows libraries, unused
	rm $(P)_v$(V)_UnixSource/game7/build/win32/*.dll
	# non-free, unused
	rm -r $(P)_v$(V)_UnixSource/minorGems/util/development/fortify
	rm $(P)_v$(V)_UnixSource/minorGems/graphics/openGL/tga.*
	rm $(P)_v$(V)_UnixSource/minorGems/graphics/openGL/texture.*
	mv $(P)_v$(V)_UnixSource $(p)-$(V)+dfsg1.orig
	tar zcf ../$(p)_$(V)+dfsg1.orig.tar.gz $(p)-$(V)+dfsg1.orig
	rm -rf $(P)_v$(V)_UnixSource.tar.gz $(p)-$(V)+dfsg1.orig
